Bug 196436 - kernel oops at shutdown due to alsa rmmod
Summary: kernel oops at shutdown due to alsa rmmod
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-23 09:53 UTC by James Hunt
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: kernel-2.6.17-1.2145_FC5smp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-14 10:27:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Hunt 2006-06-23 09:53:39 UTC
Description of problem:

Every time I shut my P4 Prescott system down, I get a kernel oops that appears
to be caused by ALSA.

Version-Release number of selected component (if applicable):

2.6.16-1.2133_FC5smp

How reproducible:

Every time.

Steps to Reproduce:
1. shutdown machine
2. observe oops.
  
Actual results:

Below is the bits of the oops I managed to copy down. Note: I don't have a
serial cable, so what you see below has been hand-typed. The text delimited by
"###" is my comments - I didn't get all the info down I'm afraid.

--------------------------------------------------------------------------
CPU: 0
EIP:     0060:[<f8925520>]     Not tainted VLI
EFLAGS: 00010096 (2.6.16-1.2133_FC5smp #1)
EIP is at snd_seq_delete_all_ports+0x6c/0x170 [snd_seq]
eax: 00000044 ebx: f722a248 ecx: f3954f18 edx: f892683c
esi: f722a248 edi: f7df83c0  ebp: f7df843c esp: f3954f14

Process rmmod #### pid details and context ###

Stack: ### LIST OF ADDRESSES ONLY ###

Call Trace:

[<f88f0206>] seq_free_client1+0x8/0x90 [snd_seq]
[<f88f02da>] seq_free_client+0x4c/0x82 [snd_seq]
[<f88f2732>] snd_seq_delete_kernel_client+0x1a/0x2c [snd_seq]
[<c013c3c2>] sys_delete_module=0x1cc/0x20c
do_syscall_trace

syscall_call

#### something times out here, and the screen changes to a new dump: ###


<3> Debug: sleeping function called from invalid context at include/linux/rwsem.h:43

### a different stack trace here ####

sysscall_cal+0x7/0xb /etc/rc0.d/K14alsasound: line 215: 2554
Segmentation fault    /sbin/rmmod `echo $line | cut -d ' ' -f 1`

--------------------------------------------------------------------------
Expected results:

Clean shutdown.

Additional info:

Comment 1 James Hunt 2006-06-23 10:04:38 UTC
Note: 2.6.16-1.2133_FC5 (non-smp) also suffers from the same problem. However,
the problem is not seen using kernel 2.6.16-1.2122_FC5smp.

Comment 2 James Hunt 2006-06-23 10:10:42 UTC
My soundcard is reported as the following using 'lspci':

00:14.5 Multimedia audio controller: ATI Technologies Inc IXP150 AC'97 Audio
Controller.



Comment 3 James Hunt 2006-06-23 10:12:39 UTC
The other point to note is that very occasionally (using the 2133 kernel), my
system will start pumping white noise out of the speakers and lock up hard. A
kernel buffer overflow issue related to the alsa rmmod maybe?

Comment 4 James Hunt 2006-06-28 06:22:01 UTC
I am still having the same problem with kernel 2.6.17-1.2139_FC5smp.

Comment 5 James Hunt 2006-07-05 17:01:21 UTC
Can anybody comment on this please?

Comment 6 James Hunt 2006-07-09 10:58:21 UTC
Well, somebody obviously tweaked something - the problem is no longer present in
kernel 2.6.17-1.2145_FC5smp.

Comment 7 James Hunt 2006-07-11 19:36:19 UTC
You can close this bug - it's no longer a problem!


Note You need to log in before you can comment on or make changes to this bug.